#!/bin/sh
# publish breadpunk.club

# usage: publish.sh -s SITE_DIR -k SCRIPT_DIR -o OUTPUT_DIR 

# defaults
OUTPUT_DIR=./public

while getopts s:k:o: opt; do
		case "$opt" in
		s) SITE_DIR="$OPTARG" ;;
		k) SCRIPT_DIR="$OPTARG" ;;
		o) OUTPUT_DIR="$OPTARG" ;;
		*) exit 2 ;;
		esac
done
shift $((OPTIND - 1))

# git pull the site from the repo
#git -C "$SITE_DIR" pull || exit 3
# update data in the site
BREADSITE_DATA_DIR="$SITE_DIR/static/" "$SCRIPT_DIR/update-data.sh"
# publish the site
zola -r "$SITE_DIR" build -o "$OUTPUT_DIR"
